> ## Documentation Index
> Fetch the complete documentation index at: https://developers.portao3.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# /realms/{realmId}/organizations/{organizationId}/tax-document/batch



## OpenAPI

````yaml /api-reference/accounting.openapi.json post /realms/{realmId}/organizations/{organizationId}/tax-document/batch
openapi: 3.0.3
info:
  title: Accounting
  version: 1.0.0
  description: >-
    Portão 3 accounting API. Generated by tools/openapi from code (routes +
    security) and the hand-written spec (request/response bodies). Confidence
    tiers: generated:typed=9 copied:manual=0 unknown=12.
servers:
  - url: https://api.accounting.v2.portao3.com.br/
    description: production
  - url: https://api.accounting.dev.3pers.com.br/
    description: development
security:
  - bearerAuth: []
tags:
  - name: Tax Documents (NFSe)
  - name: Tax Issuers
  - name: Tax Codes
  - name: Internal & Support
paths:
  /realms/{realmId}/organizations/{organizationId}/tax-document/batch:
    post:
      tags:
        - Tax Documents (NFSe)
      summary: /realms/{realmId}/organizations/{organizationId}/tax-document/batch
      operationId: postRealmsByRealmIdOrganizationsByOrganizationIdTaxDocumentBatch
      parameters:
        - name: realmId
          in: path
          required: true
          schema:
            type: string
        - name: organizationId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                invoices:
                  minItems: 1
                  type: array
                  items:
                    type: object
                    properties:
                      environment:
                        type: string
                        minLength: 1
                      competenceDate:
                        type: string
                        format: date-time
                      totalValue:
                        type: string
                        minLength: 1
                      invoiceId:
                        type: string
                        minLength: 1
                      customerName:
                        type: string
                        minLength: 1
                      customerEmail:
                        type: string
                        minLength: 1
                      customerFederalDocument:
                        type: string
                        minLength: 1
                      customerMunicipalDocument:
                        type: string
                      customerstateDocument:
                        type: string
                      customerphoneNumber:
                        type: string
                        minLength: 1
                      addressState:
                        type: string
                        minLength: 1
                      addressCity:
                        type: string
                        minLength: 1
                      addressStreet:
                        type: string
                        minLength: 1
                      addressNumber:
                        type: string
                        minLength: 1
                      addressComplement:
                        type: string
                      addressNeighborhood:
                        type: string
                        minLength: 1
                      addressPostalCode:
                        type: string
                        minLength: 1
                    required:
                      - environment
                      - competenceDate
                      - totalValue
                      - invoiceId
                      - customerName
                      - customerEmail
                      - customerFederalDocument
                      - customerphoneNumber
                      - addressState
                      - addressCity
                      - addressStreet
                      - addressNumber
                      - addressNeighborhood
                      - addressPostalCode
                    additionalProperties: false
              required:
                - invoices
      responses:
        default:
          description: Undocumented response (no code type, no existing spec).
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````